Ticket #29851

全角スペースの入力を通知しない

Open Date: 2012-10-15 23:58 Last Update: 2013-03-20 11:58

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

Windows 7 x64 のメモ帳で日本語IME(例えば Microsoft IME)を日本語変換モードにして、スペースキーを押して全角スペースを入力すると、何も通知されません。

このとき変換停止モードにすれば半角スペースの入力は「スペース」と通知されます。

最新の開発版だけでなく 2012.2.1jp でもこの現象が確認できました。

Ticket History (3/5 Histories)

2012-10-15 23:58 Updated by: nishimoto
  • New Ticket "全角スペースの入力を通知しない" created
2012-10-17 10:51 Updated by: nishimoto
Comment

本家の 2012.3beta1 や中国語入力でもこの現象が確認できたので、nvda-dev-asia に下記を報告しました。

本家の対応を待ちたいと思います。

NVDA 2012.3beta1 does not report full shape space (0x3000) when space key pressed. Tested with Windows 7 sp1 x64 (Japanese). Both Microsoft Japanese IME and Chinese New ChangJie can reproduce it.

'Speak typed character' keyboard setting is turned on. If input methods is changed to half shape mode (or switch to US language), 'space' is announced as the typed character.

2013-03-07 17:26 Updated by: nishimoto
Comment

下記のコミットで全角スペースの入力を通知するようにしました。

lp:nvdajp 4555

ただし日本語設定「日本語版の文字入力拡張」とキーボード設定「入力文字の読み上げ」がどちらも有効の場合にのみこの処理を行います。

通知は音声のみです。

2013-03-07 17:55 Updated by: nishimoto
Comment

「アプリケーションごとのスリープモードの切り替え」によって、この「全角スペース」の通知を制御するべきかも知れないので、調べてみました。

現状の本家の入力メソッド対応では、アプリケーションがスリープでも、入力メソッドのプレコンポジション文字は通知されます。

この本家の実装にあわせて、本チケットの全角スペースの通知は「アプリケーションごとのスリープモードの切り替え」の影響を受けない仕様とさせてください。

アプリケーションごとのスリープモードの切替で入力メソッド通知の制御をするかどうかは、要望があれば、別のチケットでまとめて議論したいと思います。

2013-03-20 11:58 Updated by: nishimoto
  • Ticket Close date is changed to 2013-03-20 11:58
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login